> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skyfire.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Services

Get all the approved and active services.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "skyfire-service-directory-apis",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.skyfire.xyz"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/api/v1/directory/services": {
      "get": {
        "summary": "Get All Services",
        "description": "Get all the approved and active services.",
        "operationId": "get-all-services",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"data\": [\n    {\n      \"id\": \"350d433d-6ed4-4482-bcfc-14b7da807f9b\",\n      \"name\": \"Test Service\",\n      \"description\": \"test\",\n      \"tags\": [],\n      \"type\": \"FETCH_AGENT\",\n      \"price\": \"0.000001\",\n      \"priceModel\": \"PAY_PER_USE\",\n      \"minimumTokenAmount\": \"0.000001\",\n      \"humanIdentityRequirement\": {\n        \"identityLevels\": [\n          \"INDIVIDUAL_LEVEL2\"\n        ],\n        \"organization\": [],\n        \"individual\": [\n          \"birthdate\",\n          \"given_name\",\n          \"middle_name\",\n          \"family_name\",\n          \"phone_number\",\n          \"phone_country_code\"\n          \"id_document.type\",\n          \"id_document.issued_on\",\n          \"id_document.expires_on\",\n          \"id_document.issued_by\",\n          \"address-full\",\n          \"address-city\",\n          \"address-region\",\n          \"address-country\",\n          \"no-address\"\n        ]\n      },\n      \"seller\": {\n        \"id\": \"98755a15-bcbb-4e7c-a4ac-0ae21b9ce5c7\",\n        \"name\": \"Fetch Agent Seller\"\n      },\n      \"fetchAgentProfileUrl\": \"agentverse.ai/agents/details/agent1qfmhmg4sa4azt0squ4za50k7t9pzwen0k6wsc0c6mxdertzq6hhjquhgvcy\",\n      \"acceptedTokens\": [\n        \"pay\",\n        \"kya-pay\"\n      ],\n      \"createdAt\": \"2025-07-08T16:30:52.986Z\",\n      \"updatedAt\": \"2025-07-08T17:55:09.082Z\"\n    },\n    {\n      \"id\": \"ed9eae44-77ed-47bb-8f36-8fcaf363d3cf\",\n      \"name\": \"Real Estate Website\",\n      \"description\": \"\",\n      \"tags\": [],\n      \"type\": \"WEB_PAGE\",\n      \"price\": \"0.001\",\n      \"priceModel\": \"PAY_PER_USE\",\n      \"minimumTokenAmount\": \"0.01\",\n      \"humanIdentityRequirement\": {\n        \"identityLevels\": [],\n        \"organzation\": [],\n        \"individual\": []\n      },\n      \"seller\": {\n        \"id\": \"5be86e6c-3ce7-46ad-9810-9269149251ff\",\n        \"name\": \"Skyfire Official Seller\",\n        \"identityLevel\": \"BUSINESS_LEVEL1\"\n      },\n      \"websiteUrl\": \"to-be-determined.com\",\n      \"createdAt\": \"2025-07-07T17:42:31.895Z\",\n      \"updatedAt\": \"2025-07-07T17:42:31.895Z\"\n    },\n    {\n      \"id\": \"cbf697f2-a52b-4b7b-a90b-f99ea3fcdba4\",\n      \"name\": \"QBio.ai - Boltz Protein Folding\",\n      \"description\": \"Predicts complex structures from amino acid, DNA, or RNA sequences, as well as small molecules from SMILES strings or CCD (Chemical Component Dictionary) format.\",\n      \"tags\": [\n        \"seller\"\n      ],\n      \"type\": \"API\",\n      \"price\": \"0.000001\",\n      \"priceModel\": \"PAY_PER_USE\",\n      \"minimumTokenAmount\": \"0.000001\",\n      \"humanIdentityRequirement\": {\n        \"identityLevels\": [\n          \"INDIVIDUAL_LEVEL2\",\n          \"BUSINESS_LEVEL1\"\n        ],\n        \"organization\": [\n          \"organization_name\",\n          \"organization_tax_id\",\n          \"organization_physical_address-full\",\n          \"organization_physical_address-city\",\n          \"organization_physical_address-region\",\n          \"organization_physical_address-country\",\n          \"no-organization_physical_address\",\n          \"organization_registered_address-full\",\n          \"organization_registered_address-city\",\n          \"organization_registered_address-region\",\n          \"organization_registered_address-country\",\n          \"no-organization_registered_address\",\n          \"birthdate\",\n          \"given_name\",\n          \"middle_name\",\n          \"family_name\",\n          \"phone_number\",\n          \"phone_country_code\"\n        ],\n        \"individual\": [\n          \"birthdate\",\n          \"given_name\",\n          \"middle_name\",\n          \"family_name\",\n          \"phone_number\",\n          \"phone_country_code\"\n          \"id_document.type\",\n          \"id_document.issued_on\",\n          \"id_document.expires_on\",\n          \"id_document.issued_by\",\n          \"address-full\",\n          \"address-city\",\n          \"address-region\",\n          \"address-country\",\n          \"no-address\"\n        ]\n      },\n      \"seller\": {\n        \"id\": \"6febdef8-624b-410d-a75d-bfb6389644b6\",\n        \"name\": \"QBIOai\"\n      },\n      \"openApiSpecUrl\": \"api.staging-europe-eemshaven-a.qbio.ai/v1/agent/submit\",\n      \"acceptedTokens\": [\n        \"kya\",\n        \"pay\",\n        \"kya-pay\"\n      ],\n      \"createdAt\": \"2025-07-07T12:39:56.763Z\",\n      \"updatedAt\": \"2025-07-09T14:23:38.822Z\"\n    }\n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "350d433d-6ed4-4482-bcfc-14b7da807f9b"
                          },
                          "name": {
                            "type": "string",
                            "example": "Test Service"
                          },
                          "description": {
                            "type": "string",
                            "example": "test"
                          },
                          "tags": {
                            "type": "array"
                          },
                          "type": {
                            "type": "string",
                            "example": "FETCH_AGENT"
                          },
                          "price": {
                            "type": "string",
                            "example": "0.000001"
                          },
                          "priceModel": {
                            "type": "string",
                            "example": "PAY_PER_USE"
                          },
                          "minimumTokenAmount": {
                            "type": "string",
                            "example": "0.000001"
                          },
                          "humanIdentityRequirement": {
                            "type": "object",
                            "properties": {
                              "identityLevels": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "INDIVIDUAL_LEVEL2"
                                }
                              },
                              "organization": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              },
                              "individual": {
                                "type": "array",
                                "items": {
                                  "type": "string",
                                  "example": "nameFirst"
                                }
                              }
                            }
                          },
                          "seller": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "type": "string",
                                "example": "98755a15-bcbb-4e7c-a4ac-0ae21b9ce5c7"
                              },
                              "name": {
                                "type": "string",
                                "example": "Fetch Agent Seller"
                              }
                            }
                          },
                          "createdAt": {
                            "type": "string",
                            "example": "2025-07-08T16:30:52.986Z"
                          },
                          "updatedAt": {
                            "type": "string",
                            "example": "2025-07-08T17:55:09.082Z"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location 'https://api.skyfire.xyz/api/v1/directory/services' \\\n--header 'Content-Type: application/json'"
            },
            {
              "language": "node",
              "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'GET',\n  'hostname': 'api.skyfire.xyz',\n  'path': '/api/v1/directory/services',\n  'headers': {\n    'Content-Type': 'application/json'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();"
            },
            {
              "language": "python",
              "code": "import http.client\nimport json\n\nconn = http.client.HTTPSConnection(\"api.skyfire.xyz\")\npayload = ''\nheaders = {\n  'Content-Type': 'application/json'\n}\nconn.request(\"GET\", \"/api/v1/directory/services\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))"
            }
          ],
          "samples-languages": [
            "curl",
            "node",
            "python"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```